%define tarname	Paste
%define name	python-paste
%define version	1.7.5.1
%define release %mkrel 6

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
License:        MIT
URL:            http://pythonpaste.org
Source0:        http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:      noarch
Requires:	python-pkg-resources
BuildRequires:  python-setuptools
BuildRequires:	python-sphinx

%description
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%files 
%doc html/
%{py_puresitedir}/paste
%{py_puresitedir}/Paste-%version-py?.?.egg-info
%{py_puresitedir}/Paste-%version-py?.?-nspkg.pth
#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}
%{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

%install
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --root=%{buildroot} 
sphinx-build -b html docs html
rm -f html/.buildinfo



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.7.5.1-6.mga4
+ Revision: 545015
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.5.1-5.mga4
+ Revision: 500607
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.7.5.1-4.mga3
+ Revision: 379248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.7.5.1-3.mga3
+ Revision: 313536
- imported package python-paste

